package br.com.evologica.mvp;

import android.app.Application;

import br.com.evologica.mvp.data.AppDataManager;
import uk.co.chrisjenx.calligraphy.CalligraphyConfig;

/**
 * Created by marcussales on 01/03/2017.
 */

public class MvpApp extends Application {



    @Override
    public void onCreate() {
        super.onCreate();

        AppDataManager.initInstance(this);

        CalligraphyConfig.initDefault(new CalligraphyConfig.Builder()
                .setDefaultFontPath("fonts/source-sans-pro/SourceSansPro-Regular.ttf")
                .setFontAttrId(R.attr.fontPath)
                .build());
    }
}
