package br.com.evologica.mvp.data;

import android.content.Context;

import br.com.evologica.mvp.data.prefs.AppPreferencesHelper;

/**
 * Created by marcussales on 01/03/2017.
 */

public class AppDataManager implements DataManager {

    private AppPreferencesHelper mAppPreferencesHelper;
    private static AppDataManager _INSTANCE;

    public static AppDataManager initInstance(Context ctx) {
         _INSTANCE = new AppDataManager(ctx);
        return _INSTANCE;
    }

    public static AppDataManager getInstance(){
        return _INSTANCE;
    }

    public AppDataManager(Context ctx) {
        mAppPreferencesHelper = new AppPreferencesHelper(ctx, "whatever");

    }

    @Override
    public void setLoggedIn() {
        mAppPreferencesHelper.setLoggedIn();
    }

    @Override
    public void setLoggedOut() {
        mAppPreferencesHelper.setLoggedOut();
    }

    @Override
    public boolean isLogged() {
        return mAppPreferencesHelper.isLogged();
    }
}
