package br.com.evologica.mvp.ui.splash;

import br.com.evologica.mvp.data.AppDataManager;
import br.com.evologica.mvp.ui.base.BasePresenter;

/**
 * Created by marcussales on 01/03/2017.
 */

public class SplashPresenter<V extends SplashMvpView> extends BasePresenter<V> implements SplashMvpPresenter<V> {

    @Override
    public void onAttach(V mvpView) {
        super.onAttach(mvpView);

        if (!AppDataManager.getInstance().isLogged()){
            getMvpView().openLoginActivity();
        }else{
            getMvpView().openMainActivity();
        }
    }
}
